<?
 require_once($_path["include"]."module.php");

 class login_pluginConfigs extends Module
 {
  function init(&$data)
  {
   global $_path, $_config;

   parent::init($data);

   if($this->data->module!="pluginConfigs")
    $this->extend("pluginConfigs");

   $this->data->title=$this->data->l->t("Login plugin configuration");

   $this->data->addField("type", "enum", "all", "reload", false, false, "Login", "Type");
   $this->data->enumOptions("type", "Login", "Registration", "Password");

   $this->data->addField("httpsRedirect", "boolean", "all", false, false, false, true, "Secure forms (HTTPS)");

   $this->data->addField("showLogout", "boolean", "all", false, false, false, true, "Show logout");
   $this->data->addField("useStyling", "boolean", "all", false, false, false, (isset($_config["cms"]["useStyling"])?$_config["cms"]["useStyling"]:true), "Use styling", "Use HTML styling");

   $this->data->addField("loginText", "html", "all", "wysiwyg", 0, 5000, "<h1>Login</h1>\nEnter your username and password and press \"Login\" to login", "Login text");
   $this->data->addField("logoutText", "html", "all", "wysiwyg", 0, 5000, "<h1>Logout</h1>\nCurrently logged in as %u", "Logout text", "Use %u for username");

   $this->data->addField("registrationpage", "boolean", "all", "reload", false, false, false, "Use registration page");
   $this->data->addField("registrationpagenr", "nr", "all", "", false, false, false, "Registration page");
   $this->data->addReference("registrationpagenr", "categories", "nr", "*:0");

   $this->data->addField("passwordpage", "boolean", "all", "reload", false, false, false, "Use change password page");
   $this->data->addField("passwordpagenr", "nr", "all", "", false, false, false, "Change password page");
   $this->data->addReference("passwordpagenr", "categories", "nr", "*:0");

   $this->data->addField("useCaptcha", "boolean", "all", false, false, false, true, "Use Captcha");
   $this->data->addField("registrationcatnr", "nr", "all", "", false, false, false, "Users category");
   $this->data->addReference("registrationcatnr", "categories", "nr", "*:0");

   $this->data->group("Configuration", "type", "httpsRedirect", "showLogout", "useStyling", "registrationpage", "registrationpagenr", "passwordpage", "passwordpagenr", "useCaptcha", "registrationcatnr");
   $this->data->group("Text", "loginText", "logoutText");
  }

  function postInit(){return $this->customizeFields();}
  function viewPostGet(){return $this->customizeFields();}
  function copyPostGet(){return $this->customizeFields();}
  function editPostGet(){return $this->customizeFields();}

  function customizeFields()
  {
   if($this->data->getValue("type")=="Registration")
   {
    $this->data->field["registrationpage"]["properties"].=";hidden";
    $this->data->field["registrationpagenr"]["properties"].=";hidden";

    $this->data->field["passwordpage"]["properties"].=";hidden";
    $this->data->field["passwordpagenr"]["properties"].=";hidden";

    $this->data->field["showLogout"]["properties"].=";hidden";
    $this->data->field["useStyling"]["properties"].=";hidden";

    $this->data->field["loginText"]["properties"].=";hidden";
    $this->data->field["logoutText"]["properties"].=";hidden";

    $this->data->resetField("useCaptcha");
    $this->data->resetField("registrationcatnr");
   }
   else if($this->data->getValue("type")=="Password")
   {
    $this->data->field["registrationpage"]["properties"].=";hidden";
    $this->data->field["registrationpagenr"]["properties"].=";hidden";

    $this->data->field["passwordpage"]["properties"].=";hidden";
    $this->data->field["passwordpagenr"]["properties"].=";hidden";

    $this->data->field["showLogout"]["properties"].=";hidden";
    $this->data->field["useStyling"]["properties"].=";hidden";

    $this->data->field["loginText"]["properties"].=";hidden";
    $this->data->field["logoutText"]["properties"].=";hidden";

    $this->data->field["useCaptcha"]["properties"].=";hidden";
    $this->data->field["registrationcatnr"]["properties"].=";hidden";
   }
   else if($this->data->getValue("type")=="Login")
   {
    $this->data->resetField("registrationpage");
    if($this->data->getValue("registrationpage"))
     $this->data->resetField("registrationpagenr");
    else
     $this->data->field["registrationpagenr"]["properties"].=";hidden";

    $this->data->resetField("passwordpage");
    if($this->data->getValue("passwordpage"))
     $this->data->resetField("passwordpagenr");
    else
     $this->data->field["passwordpagenr"]["properties"].=";hidden";

    $this->data->resetField("showLogout");
    $this->data->resetField("useStyling");

    $this->data->resetField("loginText");
    $this->data->resetField("logoutText");

    $this->data->field["useCaptcha"]["properties"].=";hidden";
    $this->data->field["registrationcatnr"]["properties"].=";hidden";
   }

   return true;
  }

 }
?>
